Portfolio

Create a point-in-time asset transfer

POST/portfolio/transactions/asset-transfer-pit

Transfers a percentage of the transferor's commitment to the transferee at a specific settlement date, recalculating positions as of that point in time. If the transferee does not yet exist in Horizon, a user record is created first.

Request body

application/json, required · PortfolioCreateAssetTransferPITRequest

  • asset_idintegerRequired#
  • settlement_datestring (date-time)Required#
  • transferor_idintegerRequired#
  • transferee_idstringRequired#
  • commitment_percentagenumberRequired#
  • descriptionstring | null#
{
  "asset_id": 1,
  "settlement_date": "2026-06-12T10:00:00+00:00",
  "transferor_id": 1,
  "transferee_id": "string",
  "commitment_percentage": 0,
  "description": "string"
}

Responses

200

AssetTransferResource

PortfolioAssetTransferResource
{
  "data": {
    "id": 1,
    "transferor": {
      "id": 1,
      "client_reference": "string",
      "guid": "string",
      "email": "string",
      "source": "string",
      "name": "string",
      "source_id": "string",
      "created_at": "string",
      "updated_at": "string"
    },
    "transferee": {
      "id": 1,
      "client_reference": "string",
      "guid": "string",
      "email": "string",
      "source": "string",
      "name": "string",
      "source_id": "string",
      "created_at": "string",
      "updated_at": "string"
    },
    "asset": {
      "id": 1,
      "parent_asset_id": 1,
      "client_reference": "string",
      "guid": "string",
      "name": "string",
      "class": "string",
      "structure": "string",
      "uid": "string",
      "source": "string",
      "source_id": "string",
      "description": "string",
      "currency": "string",
      "has_subpositions": true,
      "has_parent": true,
      "subposition_type": "string",
      "created_at": "string",
      "updated_at": "string",
      "raw_asset_data": [
        "string"
      ],
      "asset_data": [
        "string"
      ],
      "metadata": [
        "string"
      ],
      "toggles": {
        "values": [],
        "chain_has_investor_toggle": true,
        "is_manual_valuation": true,
        "is_investor_sub_dist_allowed": true,
        "show_valuation_timeline": true
      },
      "has_fund_cash": true,
      "fund_cash_id": 1,
      "has_fund_cash_pots": true,
      "parent_has_fund_cash": true,
      "parent_name": "string"
    },
    "commitment_transferred": "string",
    "commitment_percentage": "string",
    "date_of_transfer": "string",
    "description": "string"
  }
}
422

Validation error

Examples

curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/asset-transfer-pit\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "asset_id": 1,
  "settlement_date": "2026-06-12T10:00:00+00:00",
  "transferor_id": 1,
  "transferee_id": "string",
  "commitment_percentage": 0,
  "description": "string"
}'